
Summary:	A dvd chapter tool for Linux
Name:		chaplin
Version:	1.10
Release:	%mkrel 15
License:	GPLv2
Group:		Video/Utilities
Source:		https://www.lallafa.de/bp/files/%{name}-%{version}.tgz
Patch0:		chaplin-1.10-cflags.patch
URL:		https://www.lallafa.de/bp/%{name}.html

BuildRequires:	pkgconfig(dvdread)

%description
The tool parses a DVD disc or image and extracts the exact duration for each
chapter of a given title. Then the total list of chapters is split into a
user-selectable number of subsets. Each subset should have approximately the
same duration.

%prep
%setup -q -n chaplin
%autopatch -p1

%build
%make_build CFLAGS="%{optflags}" LDFLAGS="%{ldflags}"

%install
mkdir -p %{buildroot}%_bindir
cp %name %{buildroot}%_bindir
cp %{name}-genmenu %{buildroot}%_bindir

%files
%_bindir/%name
%_bindir/%{name}-genmenu



%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.10-15.mga10
+ Revision: 2195960
- Mageia 10 Mass Rebuild

* Wed Mar 16 2022 danf <danf> 1.10-14.mga9
+ Revision: 1794911
- Adjust patch to remove unneeded -rpath & to use LDFLAGS
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild
+ mrambo3501 <mrambo3501>
- revert the rpath check disable

* Wed Mar 09 2022 mrambo3501 <mrambo3501> 1.10-13.mga9
+ Revision: 1790164
- disable rpath checking

* Wed Apr 22 2020 luigiwalser <luigiwalser> 1.10-12.mga8
+ Revision: 1571016
- rebuild for libdvdread

* Tue Feb 18 2020 umeabot <umeabot> 1.10-11.mga8
+ Revision: 1538236
- Mageia 8 Mass Rebuild

* Sun Nov 17 2019 daviddavid <daviddavid> 1.10-10.mga8
+ Revision: 1461377
- rebuild for new libdvdread 6.0.2

* Sat Sep 22 2018 umeabot <umeabot> 1.10-9.mga7
+ Revision: 1296110
- Mageia 7 Mass Rebuild

* Mon Sep 11 2017 cjw <cjw> 1.10-8.mga7
+ Revision: 1152976
- fix debug packages

* Tue Feb 02 2016 umeabot <umeabot> 1.10-7.mga6
+ Revision: 932188
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.10-6.mga5
+ Revision: 740061
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.10-5.mga5
+ Revision: 678359
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.10-4.mga5
+ Revision: 521357
- Mageia 4 Mass Rebuild

* Mon Jan 21 2013 barjac <barjac> 1.10-3.mga3
+ Revision: 390581
- update group
- clean spec
- use %%make
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 03 2011 ofaurax <ofaurax> 1.10-1.mga2
+ Revision: 138313
- imported package chaplin

